* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
    --ps-blue: #0070D1;
    --ps-red: #D53B00;
}

body {
  font-family: Arial, sans-serif;
}
.sony {
  background-color: black;
  color: white;
  font-weight: 500;
  font-size: 14px;
  text-align: right;
  padding: 3px;
}
.navbar {
  background: white;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  padding: 5px 20px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  z-index: 1000;
}
.navbar.sticky {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
}
.navbar > section {
  display: flex;
  align-items: center;
}
.nav-links {
  display: flex;
  list-style: none;
  padding: 0;
}
.nav-links li {
  padding: 6px;
  position: relative;
  cursor: pointer;
  font-size: 13px;
}

.nav-right {
  display: flex;
  align-items: center;
}
.nav-links > li > i {
  color: #7e7d7d;
  font-size: 12px;
}
.sign-in {
  background: var(--ps-blue);
  color: white;
  padding: 3px 15px;
  border-radius: 15px;
  text-decoration: none;
  text-align: center;
}

.search-icon {
  font-size: 18px;
  margin-right: 10px;
  margin-left: 20px;
  cursor: pointer;
}
/* Full-screen hero section */
.poster-path {
  position: relative;
  width: 100%;
  height: 75vh;
  background-image: url("high_res_images/split-fiction-hero-desktop-02-en-10mar25.jpeg");
  image-resolution: crisp-edges;
  background-size: cover;
  background-position: center;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  color: white;
}

.text-content {
  display: flex;
  flex-direction: column;
  margin-left: 225px;
  max-width: 450px;
}

.text-content img {
  width: 20vw;
}

.text-content h2 {
  font-size: 30px;
  margin-top: 12px;
}

.text-content p {
  margin-top: 12px;
  font-size: 18px;
}

.text-content button {
  width: 100px;
  font-size: 14px;
  padding: 6px;
  border-radius: 24px;
  border: none;
  margin-top: 12px;
}

.ps-beta {
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  align-items: center;
  width: 500px;
  margin: 30%;
}

.ps-beta p {
  margin-top: 20px;
}

.ps-beta button {
  width: 100px;
  padding: 10px;
  border-radius: 24px;
  border: none;
  margin-top: 12px;
}

.switch-posterCard {
  display: flex;
  justify-content: center;
  margin-top: 36px;
  gap: 16px;
}

.poster-card {
  cursor: pointer;
  transition: box-shadow 0.3s ease, transform 0.3s ease;
}

.poster-card img {
  opacity: 60%;
  width: 8vw;
  border-radius: 8px;
  transition: transform 0.3s ease;
}

.poster-card img:hover {
  opacity: 100%;
  transform: translateY(-5px);
  box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.3);
}

.disc-container {
  margin: 24px;
}

.discover-all {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.text-container h2 {
  width: 300px;
  font-size: 2.5em;
  margin-bottom: 32px;
}

.sub-text {
  margin-top: 12px;
}

.sub-text h3 {
  font-size: 1.2em;
  color: var(--ps-blue);
  margin-bottom: 8px;
}

.disc-img img {
  width: 750px;
}

.btn-container {
  margin-top: 12px;
  display: flex;
  gap: 12px;
}

.disc-btn {
    width: 100px;
    font-size: 0.8rem;
    padding: 0.5em;
    border-radius: 24px;
    border: none;
    color: #fff;
}

.btn-blue {
  background-color: var(--ps-blue);
}

.btn-orange {
  background-color: var(--ps-red);
}

.disc-card-container {
  display: flex;
  gap: 16px;
  overflow-x: hidden;
  overflow-y: hidden;
  position: relative;
  align-items: center;
}

.disc-card {
  cursor: pointer;
  width: 22vw;
  height: 20vh;
  padding: 16px;
  border-radius: 22px;
}

.disc-card img {
  opacity: 60%;
  width: 12vw;
  border-radius: 8px;
}

.disc-card.active img {
  opacity: 100%;
}

.disc-card.active {
  transform: scale(1.001);
  transition: transform 0.3s ease-in-out;
  box-shadow: 2px 8px 12px rgba(0, 0, 0, 0.3);
}

.prev-btn,
.next-btn {
  position: absolute;
  top: 1120px;
  transform: translateX(-50%);
  z-index: 10;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.prev-btn {
  left: 10px;
  margin-left: 26px;
}
.next-btn {
  right: 10px;
}
.prev-btn button,
.next-btn button {
  width: 40px;
  height: 40px;
  background-color: var(--ps-blue);
  border-radius: 50%;
  border: none;
  font-size: 24px;
  color: aliceblue;
  cursor: pointer;
}

.playstation {
  background-image: url("high_res_images/play-play-play-ps-plus-background-desktop-01-ja-jp-03jul23.jpeg");
  background-size: cover;
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 12px;
}

.playstation-btn{
    background-color: var(--ps-blue);
    color: white;
    width: auto;
    font-size: 18px;
    cursor: pointer;
    border-radius: 24px;
    padding: 8px;
    border: none;
    margin-top: 32px;
}

.playstation-btn {
  background-color: var(--ps-blue);
  color: white;
  width: auto;
  font-size: 18px;
  cursor: pointer;
  border-radius: 24px;
  padding: 8px;
  border: none;
  margin-top: 32px;
}

.playstation-header {
  text-align: center;
  margin-bottom: 24px;
}

.playstation-header-logo {
  display: flex;
  align-items: center;
  justify-content: center;
}
.playstation-header h2 {
  font-size: 40px;
}
.playstation-header p {
  color: gray;
}

.playstation-card-wrapper {
  display: flex;
  align-items: center;
  position: relative;
  overflow: hidden;
  width: 100%;
}

.btn-prev,
.btn-next {
    background-color: var(--ps-blue);
    color: white;
    border: none;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    font-size: 18px;
    cursor: pointer;
    position: absolute;
    z-index: 10;
}

.btn-prev {
  left: 10px;
}

.btn-next {
  right: 10px;
}

.playstation-card-container {
  display: flex;
  gap: 20px;
  width: 100%;
  scroll-behavior: smooth;
  overflow-x: hidden;
  overflow-y: hidden;
}
.playstation-card {
  width: 70vw;
  height: 40vh;
  position: relative;
  overflow: hidden;
  flex-shrink: 0;
  border-radius: 20px;
}
.playstation-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
}

.playstation-card::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(to right, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.2));
  z-index: 1; /* Overlay appears above the image */
}

.playstation-card-content {
  position: absolute;
  bottom: 20px;
  left: 20px;
  z-index: 2;
  color: white;
  max-width: 50%;
}
.playstation-card-content img {
  width: 196px;
  height: 24px;
  margin-bottom: 10px;
  top: -28px;
}

.playstation-card-content h2 {
  font-size: 1.8rem;
  margin: 0;
  font-weight: bold;
}

.playstation-card-content p {
  font-size: 1rem;
  margin: 10px 0 0;
  line-height: 1.5;
  color: rgba(255, 255, 255, 0.85);
}

/* NEW GAME RELEASES */

p {
  font-size: 14px;
}

.new-releases {
  position: relative;
  background-color: #000;
  color: #fff;
  height: 154vh;
  text-align: center;
  padding-top: 48px;
  /* overflow-x: hidden; */
}

.releases-announce {
  margin-bottom: 16px;
  padding-bottom: 14px;
}

.pill-container {
  position: sticky;
  top: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: auto;
  margin-bottom: 23px;
  background-color: #1a1b1e;
  height: 38px;
  width: 230px;
  border-radius: 50px;
  z-index: 13;
}

.pill {
  width: 120px;
  height: inherit;
  padding: 10px 14px;
  border-radius: 50px;
  transition: background-color 0.3s ease;
}

.grid-container {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-template-rows: repeat(2, 1fr);
  column-gap: 13px;
  row-gap: 48px;
  padding: 21px 141px 0 141px;
  transition: opacity 0.3s ease-in-out;
}

@media screen and (min-width: 1439px) {
    .grid-container {
      grid-template-columns: repeat(6, 1fr);
    }
  }

.grid-item {
  width: 185px;
  height: 185px;
}

.grid-item img {
  max-width: 185px;
  width: 100%;
  height: inherit;
  border-radius: 10px;
  object-fit: cover;
  transition: filter 0.3s ease, transform 0.3s ease;
}

.title {
  text-align: left;
}

/* INTERACTIVITY */
.pill:not(.active):hover {
    color: var(--ps-blue);
}

.grid-container:hover:has(.grid-item:hover) .grid-item:not(:hover) {
  filter: brightness(50%);
}

.grid-item:hover img {
  transform: scale(1.03);
}

/*SCRIPT STYLING*/

.active {
  background-color: #fff;
  color: #1a1b1e;
}

.not-active-mode {
  display: none;
  opacity: 0;
}

.anniversary {
  background-image: url("high_res_images/30th-anniversary-hub-background-desktop-04-en-02oct24.jpeg");
  background-size: contain;
  width: 100%;
  height: 75vh;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10rem;
}

.anniversary img {
  width: 25vw;
  height: 25vh;
}

.anniversary .ani-content {
  max-width: 30%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  line-height: 22px;
}
.ani-content h1 {
  font-size: 28px;
  font-weight: 100;
}

.ani-content p {
  color: gray;
}

.ani-btn button{
    background-color: var(--ps-blue);
    color: white;
    width: auto;
    font-size: 14px;
    cursor: pointer;
    border-radius: 24px;
    padding: 8px;
    border: none;
}

.this-march {
  background-image: url("high_res_images/this-month-on-playstation-mar-homepage-background-desktop-03-en-26feb25.jpeg");
  background-size: cover;
  height: 90vh;
  background-position: center;
  display: flex;
  align-items: center;
  padding-left: 10rem;
}

.this-march .this-march-content {
  display: flex;
  flex-direction: column;
  gap: 14px;
  color: white;
}

.this-march-content h2 {
  font-size: 32px;
  font-weight: 100;
}

.this-march-content h1 {
  font-size: 32px;
}

.this-march-content p {
  color: gray;
}

.carousel-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  align-items: center;
  background: linear-gradient(to top, #0f1e40, #220f40f5);
  height: 75vh;
  gap: 32px;
}

.carousel-section .c-btn {
  background-color: white;
  width: auto;
  font-size: 14px;
  cursor: pointer;
  border-radius: 24px;
  padding: 8px;
  border: none;
  margin-top: 14px;
}

.carousel-container {
  display: flex;
  align-items: center;
  position: relative;
  overflow: hidden;
}

.card-container {
  display: flex;
  transition: transform 0.5s ease-in-out;
  gap: 1rem;
}

.card {
  padding: 8px;
  flex: 0 0 30%;
  overflow: hidden;
  position: relative;
  cursor: pointer;
}

.card:hover {
  background-color: rgb(46, 42, 42);
  border-radius: 10px;
}

.card img {
  width: 100%;
  height: auto;
  border-radius: 10px;
}

.card-content {
  margin-top: 10px;
  color: white;
  text-align: left;
}

.card-content h2 {
  font-size: 1rem;
  margin-bottom: 0.5rem;
}

.card-content p {
  font-size: 0.8rem;
  color: rgba(255, 255, 255, 0.8);
}

.btnprev,
.btnnext {
  background-color: #fff;
  color: #000;
  border: none;
  width: 40px;
  padding: 8px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.5rem;
  cursor: pointer;
  z-index: 2;
}

.btnprev {
  position: absolute;
  margin-left: 24px;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
}

.btnnext {
  position: absolute;
  margin-right: 24px;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
}
/* PLAYSTATION STORE */
.playstation-store {
    min-height: 200vh;
    height: auto;
}

.playstation-store p {
  font-size: 16px;
}

.playstation-store h2 {
  font-size: 39px;
  font-weight: normal;
  margin-bottom: 14px;
}

.see-discount {
  margin: 0 189px 56px 189px;
  height: 404px;
  display: flex;
  justify-content: space-between;
  gap: 21px;
  padding-top: 42px;
}

.about-discount {
  width: 288px;
  height: inherit;
}

.about-discount img {
  width: 100%;
  max-width: 288px;
}

.discount-btn {
    margin-top: 26px;
    padding: 10px 14px;
    width: 112px;
    background-color: var(--ps-red);
    color: #fff;
    border-radius: 25px;
    border: transparent;
}

.discount-btn:hover {
    border: 2px solid #fff;
    outline: 2px solid var(--ps-red);
} 

.discount-img {
  display: flex;
  align-items: center;
  width: 591px;
  height: inherit;
}

.discount-img img {
  max-width: 591px;
  width: 100%;
  max-height: 57.4vh;
  height: 100%;
  border-radius: 20px;
}

.playstation-blog {
    padding-top: 120px;
}

.playstation-blog h2 {
  text-align: center;
}

.blog-carousel {
    overflow: hidden;
    width: 100%;
    position: relative;
    min-height: 500px;
    height: auto;
}

.blog-carousel-btn:hover {
    border: 2px solid #fff;
    outline: 2px solid var(--ps-blue);
}

.blog-carousel-btn {
    position: absolute;
    top: 30%;
    transform: translateY(-50%);
    width: 42px;
    height: 42px;
    border-radius: 100%;
    background-color: var(--ps-blue);
    color: #fff;
    border: transparent;
}

.blog-carousel-btn:hover {
    border: 2px solid #fff;
    outline: 2px solid var(--ps-blue);
}

.carousel-next {
  left: 90%;
}

.blog-card-holder {
    padding: 50px 0 20px 0;
    display: flex;
    gap: 14px;
    height: inherit;
    overflow: hidden;
    scroll-behavior: smooth;
    margin-bottom: 28px;
    /* background-color: red; */
}

.blog-card {
    width: 389px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
    transition: box-shadow 0.3s ease-in-out;
    border-radius: 25px;
    background-color: #fcfcfc;
}

.blog-card:hover {
  box-shadow: 0px -4px 10px rgba(0, 0, 0, 0.2), 0px 4px 10px rgba(0, 0, 0, 0.2);
}

.blog-card-img {
    width: 375px;
    height: auto;
    padding: 7px;
}

.blog-card-img img {
  max-width: 375px;
  width: 100%;
  height: inherit;
  border-radius: 25px;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
  transition: box-shadow 0.3s ease-in-out;
}

.blog-card:hover .blog-card-img img {
  box-shadow: 0px -4px 10px rgba(0, 0, 0, 0.2), 0px 4px 10px rgba(0, 0, 0, 0.2);
}

.blog-card-about {
  padding: 0 21px;
}

.blog-card-about h4 {
  margin-top: 21px;
  font-size: 20px;
  font-weight: normal;
}

.blog-card-about p {
  margin-top: 14px;
  margin-bottom: 21px;
  font-size: 14px;
  font-weight: normal;
}

.team-member {
    height: 60px;
    display: flex;
    gap: 10px;
    margin-bottom: 10px;
}

.team-member img {
    height: 66.67%;
}

.team-member img {
    height: 66.67%;
}

.team-member p {
  font-size: 12px;
  margin: 0;
}

.grey {
  color: #6b6b6b;
}

.member-name {
  font-weight: bolder;
}

.blog-card-pagination {
    display: flex;
    justify-content: center;
    gap: 4px;
    margin-bottom: 50px;
}

.card-pagination {
    width: 14px;
    height: 2px;
    background-color: #7e7d7d;
}



